# Fullcalendar Component 2

FullCalendar Component 2 is a Servoy Web Package containing the implementation of the Fullcalendar component as a Servoy Web Component for Titanium NG client.

## Requirements

The FullCalendar Component 2 can be used on Servoy 2021.12 or higher.

## Getting started

To add the FullCalendar Component 2 package in your solution, open the Servoy Developer IDE and download the FullCalendar Component 2 from the Servoy Package Manager (the Servoy Package Manager is accessible from the context menu of the Servoy Packages node of your solution).

To use the latest source code clone the git repository and checkout the master branch. Install the [egit](https://eclipse.dev/egit/download/) plugin for Eclipse to clone the repository and import the projects into the workspace.

## Documentation

See the NG1 [FullCalendar](/guides/develop/application-design/ui-components/specialized-components/home-2.md#introduction) guide for the available documentation.

## FullCalendar functions support

FullCalendar component has support in various places for client side (javascript functions), that can return dynamic content based on parameters. For example: [Content Injection](https://fullcalendar.io/docs/content-injection) or [Classnames callback](https://fullcalendar.io/docs/classname-input). In order for this to work in Titanium Client you have to use [generateBrowserFunction API](/reference/servoycore/dev-api/application.md#generatebrowserfunction-functionstring).

**Example (set in component options):**

```javascript
eventContent: application.generateBrowserFunction("function(arg) { return {html : '<b>my event<br/>123</b>'} }") ,
eventClassNames:  application.generateBrowserFunction("function(arg) { return 'dummyclass' }"),
```

## FullCalendar premium features

FullCalendar component also has some premium features (or premium plugins) that have a different licensing model. In order to use those you need to specify a valid schedulerLicenseKey in your options. For more information see : [schedulerLicenseKey Property](https://fullcalendar.io/docs/schedulerLicenseKey) and [Fullcalendar License Information](https://fullcalendar.io/license). See also [Fullcalendar Plugin Information](https://fullcalendar.io/docs/plugin-index) in order to figure out which are the premium features.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/guides/develop/application-design/ui-components/specialized-components/fullcalendar2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
